kenan 1 سال پیش
والد
کامیت
2a4dafa64c
100فایلهای تغییر یافته به همراه848 افزوده شده و 2 حذف شده
  1. BIN
      .DS_Store
  2. 15 2
      README.md
  3. 26 0
      build.sh
  4. 41 0
      build/build.js
  5. 54 0
      build/check-versions.js
  6. BIN
      build/logo.png
  7. 102 0
      build/utils.js
  8. 22 0
      build/vue-loader.conf.js
  9. 90 0
      build/webpack.base.conf.js
  10. 95 0
      build/webpack.dev.conf.js
  11. 147 0
      build/webpack.prod.conf.js
  12. 2 0
      config/.gitignore
  13. 32 0
      deploy/config/dev.env.js
  14. 67 0
      deploy/config/index.js
  15. 29 0
      deploy/config/prod.env.js
  16. 57 0
      deploy/nginx/chuji_vue_admin.conf
  17. 10 0
      deploy/shells/docker_node_build_chuji.sh
  18. 11 0
      deploy/shells/remote_chuji_vue_admin.sh
  19. 37 0
      deploy/shells/walle_chuji_vue_admin.sh
  20. BIN
      dist.zip
  21. 10 0
      dist/index.html
  22. 0 0
      dist/static/css/app.2913e36abbe5b608297245e47265c2a2.css
  23. BIN
      dist/static/css/app.2913e36abbe5b608297245e47265c2a2.css.gz
  24. BIN
      dist/static/fonts/element-icons.535877f.woff
  25. BIN
      dist/static/fonts/element-icons.732389d.ttf
  26. 0 0
      dist/static/js/0.7bf8aa556f3c02ea694d.js
  27. BIN
      dist/static/js/0.7bf8aa556f3c02ea694d.js.gz
  28. 0 0
      dist/static/js/1.275619ac568a400d817b.js
  29. BIN
      dist/static/js/1.275619ac568a400d817b.js.gz
  30. 0 0
      dist/static/js/10.bcfc8d1cfa96f53926ae.js
  31. 0 0
      dist/static/js/11.67dc6fd69590457af138.js
  32. 0 0
      dist/static/js/12.4a53284325952ae5fa19.js
  33. BIN
      dist/static/js/12.4a53284325952ae5fa19.js.gz
  34. 0 0
      dist/static/js/13.2f49df6b6c79de54fea5.js
  35. 0 0
      dist/static/js/14.56ef45be5221910d7dd8.js
  36. 0 0
      dist/static/js/15.474149c55474180c52f4.js
  37. 0 0
      dist/static/js/16.929e59a5794baa957b13.js
  38. 0 0
      dist/static/js/17.87e26bb7eb973cbf9ac9.js
  39. BIN
      dist/static/js/17.87e26bb7eb973cbf9ac9.js.gz
  40. 0 0
      dist/static/js/18.4fb5821838ef778ca013.js
  41. 0 0
      dist/static/js/19.f52d489b20a437910ae0.js
  42. 0 0
      dist/static/js/2.f39d606e1a49070459c5.js
  43. BIN
      dist/static/js/2.f39d606e1a49070459c5.js.gz
  44. 0 0
      dist/static/js/20.f369e5106b7b3a82715f.js
  45. BIN
      dist/static/js/20.f369e5106b7b3a82715f.js.gz
  46. 0 0
      dist/static/js/21.c4d9b2f8adf54bc8e3f7.js
  47. 0 0
      dist/static/js/22.e4120e5d14443f47582f.js
  48. 0 0
      dist/static/js/23.9c531dca1233dd3926ee.js
  49. 0 0
      dist/static/js/24.258d96988728acf44405.js
  50. 0 0
      dist/static/js/25.0aa5e92fc8b49dad69e6.js
  51. 0 0
      dist/static/js/26.5930bc67ac9a5cc19dd6.js
  52. 0 0
      dist/static/js/27.060c9c5adf3e42c468b1.js
  53. BIN
      dist/static/js/27.060c9c5adf3e42c468b1.js.gz
  54. 0 0
      dist/static/js/28.787777a2cd103a9bf715.js
  55. 0 0
      dist/static/js/29.f7e4cc2d61377b504429.js
  56. BIN
      dist/static/js/29.f7e4cc2d61377b504429.js.gz
  57. 0 0
      dist/static/js/3.44a627fe7932ad40032a.js
  58. 0 0
      dist/static/js/30.7af1fd36a6331e1113c6.js
  59. BIN
      dist/static/js/30.7af1fd36a6331e1113c6.js.gz
  60. 0 0
      dist/static/js/31.516d0d0d532e1534c17a.js
  61. 0 0
      dist/static/js/32.7106a4210075fc982f7b.js
  62. 0 0
      dist/static/js/33.3499c79c999bbf0c9e4d.js
  63. BIN
      dist/static/js/33.3499c79c999bbf0c9e4d.js.gz
  64. 0 0
      dist/static/js/34.bb012217dc890f4b3033.js
  65. 0 0
      dist/static/js/35.2de68981bf53b1c8417d.js
  66. BIN
      dist/static/js/35.2de68981bf53b1c8417d.js.gz
  67. 0 0
      dist/static/js/36.25b9e5f1961d6bb3342d.js
  68. 0 0
      dist/static/js/37.3f6c2797f64ea5a963a6.js
  69. 0 0
      dist/static/js/38.4e77c50b233f5c1e1ba4.js
  70. BIN
      dist/static/js/38.4e77c50b233f5c1e1ba4.js.gz
  71. 0 0
      dist/static/js/39.5662f88a3f05de4f7178.js
  72. BIN
      dist/static/js/39.5662f88a3f05de4f7178.js.gz
  73. 0 0
      dist/static/js/4.ae50b58620d6e026ae92.js
  74. BIN
      dist/static/js/4.ae50b58620d6e026ae92.js.gz
  75. 0 0
      dist/static/js/40.c58617f6421ff2755700.js
  76. 0 0
      dist/static/js/41.7c99c572a3df3009fdbc.js
  77. BIN
      dist/static/js/41.7c99c572a3df3009fdbc.js.gz
  78. 0 0
      dist/static/js/42.3abc293e7456cdc0a8e1.js
  79. 0 0
      dist/static/js/43.78f0dd62bd8782cbd613.js
  80. 0 0
      dist/static/js/44.8fac3ad9db63c51c6fd0.js
  81. BIN
      dist/static/js/44.8fac3ad9db63c51c6fd0.js.gz
  82. 0 0
      dist/static/js/45.abbb1d8988cdf7075fe2.js
  83. 0 0
      dist/static/js/46.3473731c1967bf380352.js
  84. BIN
      dist/static/js/46.3473731c1967bf380352.js.gz
  85. 0 0
      dist/static/js/47.37b7a4b43771b8860d74.js
  86. BIN
      dist/static/js/47.37b7a4b43771b8860d74.js.gz
  87. 0 0
      dist/static/js/48.cd169c690783447a0ba5.js
  88. 1 0
      dist/static/js/49.6829d975c378644d8365.js
  89. 0 0
      dist/static/js/5.8c851b3f4b4bcc49124c.js
  90. BIN
      dist/static/js/5.8c851b3f4b4bcc49124c.js.gz
  91. 0 0
      dist/static/js/50.c69668a05d0bdd804aa5.js
  92. 0 0
      dist/static/js/51.e0f8085548a52a6141e4.js
  93. 0 0
      dist/static/js/52.d529ba3fc4d49cdbfc48.js
  94. 0 0
      dist/static/js/53.c23137a341a736e7b91d.js
  95. 0 0
      dist/static/js/54.21469938166ebd5f8a4f.js
  96. 0 0
      dist/static/js/55.72a71d81f52bd944e67b.js
  97. BIN
      dist/static/js/55.72a71d81f52bd944e67b.js.gz
  98. 0 0
      dist/static/js/56.5c1beb6491373b7a8e8a.js
  99. BIN
      dist/static/js/56.5c1beb6491373b7a8e8a.js.gz
  100. 0 0
      dist/static/js/57.80b12f5bd7f96330ab1e.js

BIN
.DS_Store


+ 15 - 2
README.md

@@ -1,3 +1,16 @@
-# video_admin_vue
+# 雏姬后台Vue版
 
-视频站管理后台
+## 依赖
+- node:=v17.1.0
+- npm
+
+## 开发
+- `npm install`
+## 配置文件
+1. `cp ./deploy/config/* ./config/`
+2. `npm run dev` (默认读取default里的baseUrl)
+
+## 构建+部署
+1. 确认config/prod.env.js里的配置,不通环境,第2个参数不一样.
+2. `npm run build prod`
+3. docker run -it [service] bash .... 或者 zip + scp上传

+ 26 - 0
build.sh

@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# 删除dist文件夹
+rm -rf dist
+echo "删除dist目录"
+
+# 打包
+npm run build
+echo "打包成功"
+
+# 上传 password: ak5649
+scp -r ./dist root@192.168.1.237:/home/www/html/game_h5/
+echo "上传成功"
+
+# 上传成功后删除dist文件夹
+rm -rf dist
+echo "删除dist目录"
+
+
+# --------------
+# ssh root@xx.xx.xx
+# ssh -p 22 root@xx.xx.xx
+# ssh -p 2222 root@xx.xx.xx
+
+
+# linux, window

+ 41 - 0
build/build.js

@@ -0,0 +1,41 @@
+'use strict'
+require('./check-versions')()
+
+process.env.NODE_ENV = 'production'
+
+const ora = require('ora')
+const rm = require('rimraf')
+const path = require('path')
+const chalk = require('chalk')
+const webpack = require('webpack')
+const config = require('../config')
+const webpackConfig = require('./webpack.prod.conf')
+
+const spinner = ora('building for production...')
+spinner.start()
+
+rm(path.join(config.build.assetsRoot, config.build.assetsSubDirectory), err => {
+  if (err) throw err
+  webpack(webpackConfig, (err, stats) => {
+    spinner.stop()
+    if (err) throw err
+    process.stdout.write(stats.toString({
+      colors: true,
+      modules: false,
+      children: false, // If you are using ts-loader, setting this to true will make TypeScript errors show up during build.
+      chunks: false,
+      chunkModules: false
+    }) + '\n\n')
+
+    if (stats.hasErrors()) {
+      console.log(chalk.red('  Build failed with errors.\n'))
+      process.exit(1)
+    }
+
+    console.log(chalk.cyan('  Build complete.\n'))
+    console.log(chalk.yellow(
+      '  Tip: built files are meant to be served over an HTTP server.\n' +
+      '  Opening index.html over file:// won\'t work.\n'
+    ))
+  })
+})

+ 54 - 0
build/check-versions.js

@@ -0,0 +1,54 @@
+'use strict'
+const chalk = require('chalk')
+const semver = require('semver')
+const packageConfig = require('../package.json')
+const shell = require('shelljs')
+
+function exec (cmd) {
+  return require('child_process').execSync(cmd).toString().trim()
+}
+
+const versionRequirements = [
+  {
+    name: 'node',
+    currentVersion: semver.clean(process.version),
+    versionRequirement: packageConfig.engines.node
+  }
+]
+
+if (shell.which('npm')) {
+  versionRequirements.push({
+    name: 'npm',
+    currentVersion: exec('npm --version'),
+    versionRequirement: packageConfig.engines.npm
+  })
+}
+
+module.exports = function () {
+  const warnings = []
+
+  for (let i = 0; i < versionRequirements.length; i++) {
+    const mod = versionRequirements[i]
+
+    if (!semver.satisfies(mod.currentVersion, mod.versionRequirement)) {
+      warnings.push(mod.name + ': ' +
+        chalk.red(mod.currentVersion) + ' should be ' +
+        chalk.green(mod.versionRequirement)
+      )
+    }
+  }
+
+  if (warnings.length) {
+    console.log('')
+    console.log(chalk.yellow('To use this template, you must update following to modules:'))
+    console.log()
+
+    for (let i = 0; i < warnings.length; i++) {
+      const warning = warnings[i]
+      console.log('  ' + warning)
+    }
+
+    console.log()
+    process.exit(1)
+  }
+}

BIN
build/logo.png


+ 102 - 0
build/utils.js

@@ -0,0 +1,102 @@
+'use strict'
+const path = require('path')
+const config = require('../config')
+const ExtractTextPlugin = require('extract-text-webpack-plugin')
+const packageConfig = require('../package.json')
+
+exports.assetsPath = function (_path) {
+  const assetsSubDirectory = process.env.NODE_ENV === 'production'
+    ? config.build.assetsSubDirectory
+    : config.dev.assetsSubDirectory
+
+  return path.posix.join(assetsSubDirectory, _path)
+}
+
+exports.cssLoaders = function (options) {
+  options = options || {}
+
+  const cssLoader = {
+    loader: 'css-loader',
+    options: {
+      sourceMap: options.sourceMap
+    }
+  }
+
+  const postcssLoader = {
+    loader: 'postcss-loader',
+    options: {
+      sourceMap: options.sourceMap
+    }
+  }
+
+  // generate loader string to be used with extract text plugin
+  function generateLoaders (loader, loaderOptions) {
+    const loaders = options.usePostCSS ? [cssLoader, postcssLoader] : [cssLoader]
+
+    if (loader) {
+      loaders.push({
+        loader: loader + '-loader',
+        options: Object.assign({}, loaderOptions, {
+          sourceMap: options.sourceMap
+        })
+      })
+    }
+
+    // Extract CSS when that option is specified
+    // (which is the case during production build)
+    if (options.extract) {
+      return ExtractTextPlugin.extract({
+        use: loaders,
+        fallback: 'vue-style-loader',
+        publicPath: '../../'
+      })
+    } else {
+      return ['vue-style-loader'].concat(loaders)
+    }
+  }
+
+  // https://vue-loader.vuejs.org/en/configurations/extract-css.html
+  return {
+    css: generateLoaders(),
+    postcss: generateLoaders(),
+    less: generateLoaders('less'),
+    sass: generateLoaders('sass', { indentedSyntax: true }),
+    scss: generateLoaders('sass'),
+    stylus: generateLoaders('stylus'),
+    styl: generateLoaders('stylus')
+  }
+}
+
+// Generate loaders for standalone style files (outside of .vue)
+exports.styleLoaders = function (options) {
+  const output = []
+  const loaders = exports.cssLoaders(options)
+
+  for (const extension in loaders) {
+    const loader = loaders[extension]
+    output.push({
+      test: new RegExp('\\.' + extension + '$'),
+      use: loader
+    })
+  }
+
+  return output
+}
+
+exports.createNotifierCallback = () => {
+  const notifier = require('node-notifier')
+
+  return (severity, errors) => {
+    if (severity !== 'error') return
+
+    const error = errors[0]
+    const filename = error.file && error.file.split('!').pop()
+
+    notifier.notify({
+      title: packageConfig.name,
+      message: severity + ': ' + error.name,
+      subtitle: filename || '',
+      icon: path.join(__dirname, 'logo.png')
+    })
+  }
+}

+ 22 - 0
build/vue-loader.conf.js

@@ -0,0 +1,22 @@
+'use strict'
+const utils = require('./utils')
+const config = require('../config')
+const isProduction = process.env.NODE_ENV === 'production'
+const sourceMapEnabled = isProduction
+  ? config.build.productionSourceMap
+  : config.dev.cssSourceMap
+
+module.exports = {
+  loaders: utils.cssLoaders({
+    sourceMap: sourceMapEnabled,
+    extract: isProduction
+  }),
+  cssSourceMap: sourceMapEnabled,
+  cacheBusting: config.dev.cacheBusting,
+  transformToRequire: {
+    video: ['src', 'poster'],
+    source: 'src',
+    img: 'src',
+    image: 'xlink:href'
+  }
+}

+ 90 - 0
build/webpack.base.conf.js

@@ -0,0 +1,90 @@
+'use strict'
+const path = require('path')
+const utils = require('./utils')
+const config = require('../config')
+const vueLoaderConfig = require('./vue-loader.conf')
+const webpack = require('webpack')
+
+function resolve(dir) {
+  return path.join(__dirname, '..', dir)
+}
+
+
+
+module.exports = {
+  context: path.resolve(__dirname, '../'),
+  entry: {
+    app: './src/main.js'
+  },
+  output: {
+    path: config.build.assetsRoot,
+    filename: '[name].js',
+    publicPath: process.env.NODE_ENV === 'production' ?
+     config.build.assetsPublicPath : config.dev.assetsPublicPath
+  },
+  resolve: {
+    extensions: ['.js', '.vue', '.json'],
+    alias: {
+      'vue$': 'vue/dist/vue.esm.js',
+      '@': resolve('src'),
+      'excel': path.resolve(__dirname, '../src/excel'),
+    }
+  },
+  module: {
+    rules: [{
+        test: /\.vue$/,
+        loader: 'vue-loader',
+        options: vueLoaderConfig
+      },
+      {
+        test: /\.js$/,
+        loader: 'babel-loader',
+        include: [resolve('src'), resolve('test'), resolve('node_modules/webpack-dev-server/client')]
+      },
+      {
+        test: /\.(png|jpe?g|gif|svg)(\?.*)?$/,
+        loader: 'url-loader',
+        options: {
+          limit: 10000,
+          name: utils.assetsPath('img/[name].[hash:7].[ext]')
+        }
+      },
+      {
+        test: /\.(mp4|webm|ogg|mp3|wav|flac|aac)(\?.*)?$/,
+        loader: 'url-loader',
+        options: {
+          limit: 10000,
+          name: utils.assetsPath('media/[name].[hash:7].[ext]')
+        }
+      },
+      {
+        test: /\.(woff2?|eot|ttf|otf)(\?.*)?$/,
+        loader: 'url-loader',
+        options: {
+          limit: 10000,
+          name: utils.assetsPath('fonts/[name].[hash:7].[ext]')
+        }
+      }
+    ],
+   
+  },
+  node: {
+    // prevent webpack from injecting useless setImmediate polyfill because Vue
+    // source contains it (although only uses it if it's native).
+    setImmediate: false,
+    // prevent webpack from injecting mocks to Node native modules
+    // that does not make sense for the client
+    dgram: 'empty',
+    fs: 'empty',
+    net: 'empty',
+    tls: 'empty',
+    child_process: 'empty'
+  },
+  plugins: [
+    new webpack.optimize.CommonsChunkPlugin('common.js'),
+    new webpack.ProvidePlugin({
+      jQuery: "jquery",
+      $: "jquery"
+    })
+  ]
+}

+ 95 - 0
build/webpack.dev.conf.js

@@ -0,0 +1,95 @@
+'use strict'
+const utils = require('./utils')
+const webpack = require('webpack')
+const config = require('../config')
+const merge = require('webpack-merge')
+const path = require('path')
+const baseWebpackConfig = require('./webpack.base.conf')
+const CopyWebpackPlugin = require('copy-webpack-plugin')
+const HtmlWebpackPlugin = require('html-webpack-plugin')
+const FriendlyErrorsPlugin = require('friendly-errors-webpack-plugin')
+const portfinder = require('portfinder')
+
+const HOST = process.env.HOST
+const PORT = process.env.PORT && Number(process.env.PORT)
+
+const devWebpackConfig = merge(baseWebpackConfig, {
+  module: {
+    rules: utils.styleLoaders({ sourceMap: config.dev.cssSourceMap, usePostCSS: true })
+  },
+  // cheap-module-eval-source-map is faster for development
+  devtool: config.dev.devtool,
+
+  // these devServer options should be customized in /config/index.js
+  devServer: {
+    clientLogLevel: 'warning',
+    historyApiFallback: {
+      rewrites: [
+        { from: /.*/, to: path.posix.join(config.dev.assetsPublicPath, 'index.html') },
+      ],
+    },
+    hot: true,
+    contentBase: false, // since we use CopyWebpackPlugin.
+    compress: true,
+    host: HOST || config.dev.host,
+    port: PORT || config.dev.port,
+    open: config.dev.autoOpenBrowser,
+    overlay: config.dev.errorOverlay
+      ? { warnings: false, errors: true }
+      : false,
+    publicPath: config.dev.assetsPublicPath,
+    proxy: config.dev.proxyTable,
+    quiet: true, // necessary for FriendlyErrorsPlugin
+    watchOptions: {
+      poll: config.dev.poll,
+    }
+  },
+  plugins: [
+    new webpack.DefinePlugin({
+      'process.env': require('../config/dev.env'),
+    }),
+    new webpack.HotModuleReplacementPlugin(),
+    new webpack.NamedModulesPlugin(), // HMR shows correct file names in console on update.
+    new webpack.NoEmitOnErrorsPlugin(),
+    // https://github.com/ampedandwired/html-webpack-plugin
+    new HtmlWebpackPlugin({
+      filename: 'index.html',
+      template: 'index.html',
+      inject: true
+    }),
+    // copy custom static assets
+    new CopyWebpackPlugin([
+      {
+        from: path.resolve(__dirname, '../static'),
+        to: config.dev.assetsSubDirectory,
+        ignore: ['.*']
+      }
+    ])
+  ]
+})
+
+module.exports = new Promise((resolve, reject) => {
+  portfinder.basePort = process.env.PORT || config.dev.port
+  portfinder.getPort((err, port) => {
+    if (err) {
+      reject(err)
+    } else {
+      // publish the new Port, necessary for e2e tests
+      process.env.PORT = port
+      // add port to devServer config
+      devWebpackConfig.devServer.port = port
+
+      // Add FriendlyErrorsPlugin
+      devWebpackConfig.plugins.push(new FriendlyErrorsPlugin({
+        compilationSuccessInfo: {
+          messages: [`Your application is running here: http://${devWebpackConfig.devServer.host}:${port}`],
+        },
+        onErrors: config.dev.notifyOnErrors
+        ? utils.createNotifierCallback()
+        : undefined
+      }))
+
+      resolve(devWebpackConfig)
+    }
+  })
+})

+ 147 - 0
build/webpack.prod.conf.js

@@ -0,0 +1,147 @@
+'use strict'
+const path = require('path')
+const utils = require('./utils')
+const webpack = require('webpack')
+const config = require('../config')
+const merge = require('webpack-merge')
+const baseWebpackConfig = require('./webpack.base.conf')
+const CopyWebpackPlugin = require('copy-webpack-plugin')
+const HtmlWebpackPlugin = require('html-webpack-plugin')
+const ExtractTextPlugin = require('extract-text-webpack-plugin')
+const OptimizeCSSPlugin = require('optimize-css-assets-webpack-plugin')
+const UglifyJsPlugin = require('uglifyjs-webpack-plugin')
+
+const env = require('../config/prod.env')
+
+const webpackConfig = merge(baseWebpackConfig, {
+  module: {
+    rules: utils.styleLoaders({
+      sourceMap: config.build.productionSourceMap,
+      extract: true,
+      usePostCSS: true
+    })
+  },
+  devtool: config.build.productionSourceMap ? config.build.devtool : false,
+  output: {
+    publicPath:'/',
+    path: config.build.assetsRoot,
+    filename: utils.assetsPath('js/[name].[chunkhash].js'),
+    chunkFilename: utils.assetsPath('js/[id].[chunkhash].js')
+
+  },
+  plugins: [
+    // http://vuejs.github.io/vue-loader/en/workflow/production.html
+    new webpack.DefinePlugin({
+      'process.env': env
+    }),
+    new UglifyJsPlugin({
+      uglifyOptions: {
+        compress: {
+          warnings: false
+        }
+      },
+      sourceMap: config.build.productionSourceMap,
+      parallel: true
+    }),
+    // extract css into its own file
+    new ExtractTextPlugin({
+      filename: utils.assetsPath('css/[name].[contenthash].css'),
+      // Setting the following option to `false` will not extract CSS from codesplit chunks.
+      // Their CSS will instead be inserted dynamically with style-loader when the codesplit chunk has been loaded by webpack.
+      // It's currently set to `true` because we are seeing that sourcemaps are included in the codesplit bundle as well when it's `false`, 
+      // increasing file size: https://github.com/vuejs-templates/webpack/issues/1110
+      allChunks: true,
+    }),
+    // Compress extracted CSS. We are using this plugin so that possible
+    // duplicated CSS from different components can be deduped.
+    new OptimizeCSSPlugin({
+      cssProcessorOptions: config.build.productionSourceMap
+        ? { safe: true, map: { inline: false } }
+        : { safe: true }
+    }),
+    // generate dist index.html with correct asset hash for caching.
+    // you can customize output by editing /index.html
+    // see https://github.com/ampedandwired/html-webpack-plugin
+    new HtmlWebpackPlugin({
+      filename: config.build.index,
+      template: 'index.html',
+      inject: true,
+      minify: {
+        removeComments: true,
+        collapseWhitespace: true,
+        removeAttributeQuotes: true
+        // more options:
+        // https://github.com/kangax/html-minifier#options-quick-reference
+      },
+      // necessary to consistently work with multiple chunks via CommonsChunkPlugin
+      chunksSortMode: 'dependency'
+    }),
+    // keep module.id stable when vendor modules does not change
+    new webpack.HashedModuleIdsPlugin(),
+    // enable scope hoisting
+    new webpack.optimize.ModuleConcatenationPlugin(),
+    // split vendor js into its own file
+    new webpack.optimize.CommonsChunkPlugin({
+      name: 'vendor',
+      minChunks (module) {
+        // any required modules inside node_modules are extracted to vendor
+        return (
+          module.resource &&
+          /\.js$/.test(module.resource) &&
+          module.resource.indexOf(
+            path.join(__dirname, '../node_modules')
+          ) === 0
+        )
+      }
+    }),
+    // extract webpack runtime and module manifest to its own file in order to
+    // prevent vendor hash from being updated whenever app bundle is updated
+    new webpack.optimize.CommonsChunkPlugin({
+      name: 'manifest',
+      minChunks: Infinity
+    }),
+    // This instance extracts shared chunks from code splitted chunks and bundles them
+    // in a separate chunk, similar to the vendor chunk
+    // see: https://webpack.js.org/plugins/commons-chunk-plugin/#extra-async-commons-chunk
+    new webpack.optimize.CommonsChunkPlugin({
+      name: 'app',
+      async: 'vendor-async',
+      children: true,
+      minChunks: 3
+    }),
+
+    // copy custom static assets
+    new CopyWebpackPlugin([
+      {
+        from: path.resolve(__dirname, '../static'),
+        to: config.build.assetsSubDirectory,
+        ignore: ['.*']
+      }
+    ])
+  ]
+})
+
+if (config.build.productionGzip) {
+  const CompressionWebpackPlugin = require('compression-webpack-plugin')
+
+  webpackConfig.plugins.push(
+    new CompressionWebpackPlugin({
+      asset: '[path].gz[query]',
+      algorithm: 'gzip',
+      test: new RegExp(
+        '\\.(' +
+        config.build.productionGzipExtensions.join('|') +
+        ')$'
+      ),
+      threshold: 10240,
+      minRatio: 0.8
+    })
+  )
+}
+
+if (config.build.bundleAnalyzerReport) {
+  const BundleAnalyzerPlugin = require('webpack-bundle-analyzer').BundleAnalyzerPlugin
+  webpackConfig.plugins.push(new BundleAnalyzerPlugin())
+}
+
+module.exports = webpackConfig

+ 2 - 0
config/.gitignore

@@ -0,0 +1,2 @@
+*
+!.gitignore

+ 32 - 0
deploy/config/dev.env.js

@@ -0,0 +1,32 @@
+'use strict'
+const merge = require('webpack-merge')
+const prodEnv = require('./prod.env')
+// 在不同接口地址下启动项目的时候,直接用对应的命令npm run dev、npm run dev_test、npm run dev_prod就可以了。
+let params = process.argv[4];
+let baseUrl = '';
+let gateway = '';
+let wsUrl = '';
+let innerUploadServerUrl = '';
+switch (params) {
+  case '--env=test':
+    baseUrl = '"http://chuji-server.test.wg8.site"';
+    wsUrl = '"ws://http://api-fgg3.cname.ah73g.xyz"';
+    innerUploadServerUrl = '"http://upload-php.test.wg8.site"';
+    break
+  case '--env=prod':
+    baseUrl = '"http://api-fgg3.cname.ah73g.xyz"';
+    wsUrl = '"ws://mg379s.cj163.xyz"';
+    innerUploadServerUrl = '"http://server.upload.yy163.xyz"';
+    break
+  default:
+    baseUrl = '"http://chuij-server.3g.me"';
+    wsUrl = '"ws://dk.api.com"';
+    innerUploadServerUrl = '"http://upload_php.3g.me"';
+
+}
+module.exports = merge(prodEnv, {
+  NODE_ENV: '"development"',
+  BASE_URL: baseUrl,
+  WS_URL: wsUrl,
+  VUE_APP_INNER_UPLOAD_URL: innerUploadServerUrl,
+})

+ 67 - 0
deploy/config/index.js

@@ -0,0 +1,67 @@
+'use strict'
+// Template version: 1.3.1
+// see http://vuejs-templates.github.io/webpack for documentation.
+
+const path = require('path')
+
+module.exports = {
+  dev: {
+    // env: require('./dev.env'),
+    // Paths
+    assetsSubDirectory: 'static',
+    assetsPublicPath: '/',
+    proxyTable: {},
+
+    // Various Dev Server settings
+    host: 'localhost', // can be overwritten by process.env.HOST
+    port: 8080, // can be overwritten by process.env.PORT, if port is in use, a free one will be determined
+    autoOpenBrowser: true,
+    errorOverlay: true,
+    notifyOnErrors: true,
+    poll: false, // https://webpack.js.org/configuration/dev-server/#devserver-watchoptions-
+    devtool: 'cheap-module-eval-source-map',
+    cacheBusting: true,
+    cssSourceMap: false,
+    proxyTable:{
+      '/api':{
+        target:"http://ceshi.yushin2018.com",
+        changeOrigin:true,
+        pathRewritr:{
+          '^/api':""
+        }
+      }
+    }
+  },
+
+  build: {
+    // Template for index.html
+    index: path.resolve(__dirname, '../dist/index.html'),
+
+    // Paths
+    assetsRoot: path.resolve(__dirname, '../dist'),
+    assetsSubDirectory: 'static',
+    assetsPublicPath: './',
+
+    /**
+     * Source Maps
+     */
+
+    productionSourceMap: false,
+    // https://webpack.js.org/configuration/devtool/#production
+    devtool: '#source-map',
+
+    // Gzip off by default as many popular static hosts such as
+    // Surge or Netlify already gzip all static assets for you.
+    // Before setting to `true`, make sure to:
+    // npm install --save-dev compression-webpack-plugin
+    productionGzip: true,
+    productionGzipExtensions: ['js', 'css'],
+
+    // Run the build command with an extra argument to
+    // View the bundle analyzer report after build finishes:
+    // `npm run build --report`
+    // Set to `true` or `false` to always turn it on or off
+    bundleAnalyzerReport: process.env.npm_config_report,
+  
+  } 
+}

+ 29 - 0
deploy/config/prod.env.js

@@ -0,0 +1,29 @@
+'use strict'
+// 在打包不同环境下项目的时候,直接用对应的命令npm run build、npm run build test、npm run build prod就可以了
+let params = process.argv[2];
+let baseUrl = '';
+let gateway = '';
+let wsUrl = '';
+let innerUploadServerUrl = '';
+switch (params) {
+    case 'test':
+        baseUrl = '"http://chuji-server.test.wg8.site"';
+        wsUrl = '"ws://chuji-server.test.wg8.site"';
+        innerUploadServerUrl = '"http://upload-php.test.wg8.site"';
+        break
+    case 'prod':
+        baseUrl = '"http://mg379s.cj163.xyz"';
+        wsUrl = '"ws://mg379s.cj163.xyz"';
+        innerUploadServerUrl = '"http://server.upload.yy163.xyz"';
+        break
+    default:
+        baseUrl = '"http://chuji-server.3g.me"';
+        wsUrl = '"ws://chuji-server.3g.me"';
+        innerUploadServerUrl = '"http://upload_php.3g.me"';
+}
+module.exports = {
+    NODE_ENV: '"production"',
+    BASE_URL: baseUrl,
+    WS_URL: wsUrl,
+    VUE_APP_INNER_UPLOAD_URL: innerUploadServerUrl,
+}

+ 57 - 0
deploy/nginx/chuji_vue_admin.conf

@@ -0,0 +1,57 @@
+server {
+    listen 80;
+    client_max_body_size 20M;
+
+    # listen 443 ssl;
+    # ssl_certificate      /opt/secure/https_ssl/py163.xyz/py163.xyz.cer;
+    # ssl_certificate_key  /opt/secure/https_ssl/py163.xyz/py163.xyz.key;
+    # ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
+    # ssl_protocols       TLSv1 TLSv1.1 TLSv1.2;
+
+    #多个域名用空格分割,第一个为默认
+    server_name admin.ceshi-yeai.xyz;
+
+    charset UTF-8;
+    index default.html default.htm index.html index.htm;
+
+    # 定义根目录
+    set $root /var/www/chuji_vue_admin/dist;
+
+    # 设置站点路径
+    root  $root;
+
+    # 限制IP
+    # include ca/ip_limit.conf;
+
+
+    location / {
+        try_files $uri $uri/ /index.html;
+    }
+
+    # 防止目录浏览
+    autoindex off;
+
+    #sendfile        off;
+
+    #error_page  404              /err/404.htm;
+
+    # 将php类型的请求转交给fastcgi
+
+    #缓存图片周期30天
+    location ~* \.(jpg|jpeg|gif|png|webp)$ {
+        access_log  off;
+        expires  30d;
+    }
+    #缓存js和css7天
+    location ~* \.(js|css)$ {
+       access_log  off;
+       expires  7d;
+    }
+
+    # 访问日志:
+    access_log  /var/log/nginx/chuji_vue_admin.access.log;
+    error_log  /var/log/nginx/chuji_vue_admin.error.log;
+}
+
+
+

+ 10 - 0
deploy/shells/docker_node_build_chuji.sh

@@ -0,0 +1,10 @@
+#!/bin/bash
+
+NODE_APP_ENV=prod
+cd /var/www/chuji_vue_admin/
+
+npm install
+
+npm run build ${NODE_APP_ENV}
+
+echo "雏姬npm ${NODE_APP_ENV}部署完成"

+ 11 - 0
deploy/shells/remote_chuji_vue_admin.sh

@@ -0,0 +1,11 @@
+#!/bin/bash
+
+cd /www/works/chuji_vue_admin
+
+tar -zxvf ./prod_dist.tar.gz
+
+chmod -R 755 ./dist
+
+rm -f ./prod_dist.tar.gz
+
+echo "雏姬vue前端,解压并部署完成"

+ 37 - 0
deploy/shells/walle_chuji_vue_admin.sh

@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cd /www/works/chuji_vue_admin
+
+git reset --hard
+git pull
+
+echo "完成拉取最新代码"
+
+cd /www/servers/docker
+
+echo "开始拉起docker node并以命令执行"
+
+docker-compose run node17 bash /www/deploy/shells/docker_node_app_build_chuji.sh
+
+cd /www/works/chuji_vue_admin
+if [ -d "/www/works/chuji_vue_admin/dist" ]; then
+    chmod -R 755 ./dist
+fi
+
+# 生产环境部署前置操作,压缩并复制文件到目标服务器.
+cd /www/works/chuji_vue_admin
+if [ -d "/www/works/chuji_vue_admin/dist" ]; then
+    if [ -f "/www/works/chuji_vue_admin/prod_dist.tar.gz" ]; then
+        rm -f /www/works/chuji_vue_admin/prod_dist.tar.gz
+    fi
+    echo "开始压缩dist"
+    tar -zcvf /www/works/chuji_vue_admin/prod_dist.tar.gz ./dist
+    echo "压缩dist完成"
+    echo "开始发送压缩文件到原创目标服务器指定目录"
+    scp -P 2322 /www/works/chuji_vue_admin/prod_dist.tar.gz root@160.116.208.127:/www/works/chuji_vue_admin
+    echo "完成发送到目标服务器"
+    rm -f /www/works/chuji_vue_admin/prod_dist.tar.gz
+    echo
+fi
+
+echo "宿主机node呼唤docker构建雏姬完毕"

BIN
dist.zip


+ 10 - 0
dist/index.html

@@ -0,0 +1,10 @@
+<!DOCTYPE html><html><head><meta charset=utf-8><meta name=viewport content="width=device-width,initial-scale=1"><meta name=viewport content="initial-scale=1,maximum-scale=1,user-scalable=no"><meta name=format-detection content="telephone=yes"><title>雏姬后台管理系统</title><style>html,
+    body {
+      margin-top: 0px;
+      /* height: 100%; */
+    }</style><link href=/static/css/app.2913e36abbe5b608297245e47265c2a2.css rel=stylesheet></head><body><div id=app></div><script>//浏览器前进后退事件,将浏览器地址换为带参数的地址
+    // window.onpopstate = function () {
+    //   localStorage.setItem('curUrl', window.location.href); //当前页面地址
+    //   localStorage.setItem('preUrl', document.referrer); //上一个页面地址
+    //   // history.replaceState(null, "", localStorage.getItem('preUrl')); //替换上一个页面的url记录
+    // }</script><script type=text/javascript src=/static/js/manifest.4f009b8a70b64f5a77c5.js></script><script type=text/javascript src=/static/js/app.bae9ebb8278c8872e863.js></script></body></html>

تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/css/app.2913e36abbe5b608297245e47265c2a2.css


BIN
dist/static/css/app.2913e36abbe5b608297245e47265c2a2.css.gz


BIN
dist/static/fonts/element-icons.535877f.woff


BIN
dist/static/fonts/element-icons.732389d.ttf


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/0.7bf8aa556f3c02ea694d.js


BIN
dist/static/js/0.7bf8aa556f3c02ea694d.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/1.275619ac568a400d817b.js


BIN
dist/static/js/1.275619ac568a400d817b.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/10.bcfc8d1cfa96f53926ae.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/11.67dc6fd69590457af138.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/12.4a53284325952ae5fa19.js


BIN
dist/static/js/12.4a53284325952ae5fa19.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/13.2f49df6b6c79de54fea5.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/14.56ef45be5221910d7dd8.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/15.474149c55474180c52f4.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/16.929e59a5794baa957b13.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/17.87e26bb7eb973cbf9ac9.js


BIN
dist/static/js/17.87e26bb7eb973cbf9ac9.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/18.4fb5821838ef778ca013.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/19.f52d489b20a437910ae0.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/2.f39d606e1a49070459c5.js


BIN
dist/static/js/2.f39d606e1a49070459c5.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/20.f369e5106b7b3a82715f.js


BIN
dist/static/js/20.f369e5106b7b3a82715f.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/21.c4d9b2f8adf54bc8e3f7.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/22.e4120e5d14443f47582f.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/23.9c531dca1233dd3926ee.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/24.258d96988728acf44405.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/25.0aa5e92fc8b49dad69e6.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/26.5930bc67ac9a5cc19dd6.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/27.060c9c5adf3e42c468b1.js


BIN
dist/static/js/27.060c9c5adf3e42c468b1.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/28.787777a2cd103a9bf715.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/29.f7e4cc2d61377b504429.js


BIN
dist/static/js/29.f7e4cc2d61377b504429.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/3.44a627fe7932ad40032a.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/30.7af1fd36a6331e1113c6.js


BIN
dist/static/js/30.7af1fd36a6331e1113c6.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/31.516d0d0d532e1534c17a.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/32.7106a4210075fc982f7b.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/33.3499c79c999bbf0c9e4d.js


BIN
dist/static/js/33.3499c79c999bbf0c9e4d.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/34.bb012217dc890f4b3033.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/35.2de68981bf53b1c8417d.js


BIN
dist/static/js/35.2de68981bf53b1c8417d.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/36.25b9e5f1961d6bb3342d.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/37.3f6c2797f64ea5a963a6.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/38.4e77c50b233f5c1e1ba4.js


BIN
dist/static/js/38.4e77c50b233f5c1e1ba4.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/39.5662f88a3f05de4f7178.js


BIN
dist/static/js/39.5662f88a3f05de4f7178.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/4.ae50b58620d6e026ae92.js


BIN
dist/static/js/4.ae50b58620d6e026ae92.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/40.c58617f6421ff2755700.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/41.7c99c572a3df3009fdbc.js


BIN
dist/static/js/41.7c99c572a3df3009fdbc.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/42.3abc293e7456cdc0a8e1.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/43.78f0dd62bd8782cbd613.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/44.8fac3ad9db63c51c6fd0.js


BIN
dist/static/js/44.8fac3ad9db63c51c6fd0.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/45.abbb1d8988cdf7075fe2.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/46.3473731c1967bf380352.js


BIN
dist/static/js/46.3473731c1967bf380352.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/47.37b7a4b43771b8860d74.js


BIN
dist/static/js/47.37b7a4b43771b8860d74.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/48.cd169c690783447a0ba5.js


+ 1 - 0
dist/static/js/49.6829d975c378644d8365.js

@@ -0,0 +1 @@
+webpackJsonp([49],{dErW:function(t,e){},vkyI:function(t,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i=n("iA/b"),o={name:"home",data:function(){return{userAccount:""}},created:function(){},mounted:function(){this.$cookies.get("account")&&(this.userAccount=this.$cookies.get("account")),i.a.innerUpload.initServerConfig(),i.a.ppvodUpload.initConfig()},methods:{}},c={render:function(){var t=this.$createElement;return(this._self._c||t)("div",{staticClass:"home"},[this._v("\n  "+this._s(this.userAccount)+",欢迎您使用后台管理系统!\n")])},staticRenderFns:[]};var s=n("VU/8")(o,c,!1,function(t){n("dErW")},"data-v-4d4a5eeb",null);e.default=s.exports}});

تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/5.8c851b3f4b4bcc49124c.js


BIN
dist/static/js/5.8c851b3f4b4bcc49124c.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/50.c69668a05d0bdd804aa5.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/51.e0f8085548a52a6141e4.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/52.d529ba3fc4d49cdbfc48.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/53.c23137a341a736e7b91d.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/54.21469938166ebd5f8a4f.js


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/55.72a71d81f52bd944e67b.js


BIN
dist/static/js/55.72a71d81f52bd944e67b.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/56.5c1beb6491373b7a8e8a.js


BIN
dist/static/js/56.5c1beb6491373b7a8e8a.js.gz


تفاوت فایلی نمایش داده نمی شود زیرا این فایل بسیار بزرگ است
+ 0 - 0
dist/static/js/57.80b12f5bd7f96330ab1e.js


برخی فایل ها در این مقایسه diff نمایش داده نمی شوند زیرا تعداد فایل ها بسیار زیاد است